Subject: Re: bug#56963: 29.0.50; trampified make-empty-file on macOS

From: Michael Albinus <[email-masked]>
Date: Thu, 04 Aug 2022 07:28:58 +0200

[email-masked] writes:

Hi,

> Someone with a mac might try `make test/lisp/net/tramp-tests`
> to verify the new tramp-test10-write-region (21afc26) works
> as well as it does on linux.
>
> I get this consistently in a macOS 11.6.8 cloud env I've no
> control over:
>
> Test tramp-test10-write-region condition:
>     (ert-test-failed
>      ((should
>        (string-equal
> 	(buffer-string)
> 	""))
>       :form
>       (string-equal "-n \n" "")
>       :value nil :explanation
>       (arrays-of-different-length 4 0 "-n \n" "" first-mismatch-at 0)))

I'd like to test, but I have no mac. Could you please instrument the
respective code snippet in `tramp-test10-write-region':

diff --git a/test/lisp/net/tramp-tests.el b/test/lisp/net/tramp-tests.el
index 63ccd05a26..18c1e509ca 100644
--- a/test/lisp/net/tramp-tests.el
+++ b/test/lisp/net/tramp-tests.el
@@ -2483,6 +2483,7 @@ tramp-test10-write-region

 	    ;; Write empty string.  Used for creation of temprorary files.
 	    ;; Since Emacs 27.1.
+            (tramp--test-instrument-test-case 10
 	    (when (fboundp 'make-empty-file)
 	      (with-no-warnings
 		(should-error
@@ -2492,7 +2493,7 @@ tramp-test10-write-region
 		(make-empty-file tmp-name)
 		(with-temp-buffer
 		  (insert-file-contents tmp-name)
-		  (should (string-equal (buffer-string) "")))))
+		  (should (string-equal (buffer-string) ""))))))

 	    ;; Write partly.
 	    (with-temp-buffer

Send the resulting tramp-tests.log for analysis.

My glass ball tells me that it could be related to bug#55767.

Best regards, Michael.